# Uses of Interface
org.eclipse.emf.cdo.common.protocol.CDODataOutput

Packages that use CDODataOutput
Package
Description
org.eclipse.emf.cdo.common.branch
Common concepts for dealing with branches.
org.eclipse.emf.cdo.common.id
Common concepts for dealing with object and revision IDs.
org.eclipse.emf.cdo.common.model
Common concepts for dealing with models and types.
org.eclipse.emf.cdo.common.protocol
Common concepts for dealing with protocols and CDO-specific I/O.
org.eclipse.emf.cdo.common.revision
Common concepts for dealing with revisions and revision lists.
org.eclipse.emf.cdo.common.util
Common utility classes, some common interfaces and exceptions.
org.eclipse.emf.cdo.server
Server concepts for dealing with repositories and stores.
org.eclipse.emf.cdo.server.db
Server concepts for dealing with DB stores and accessors.
org.eclipse.emf.cdo.server.db.mapping
Server concepts for dealing with mapping strategies and mappings for classes, lists and types.
org.eclipse.emf.cdo.spi.common.branch
Common service provider interfaces and useful base implementations for dealing with branches.
org.eclipse.emf.cdo.spi.common.id
Common service provider interfaces and useful base implementations for dealing with object and revision IDs.
org.eclipse.emf.cdo.spi.common.model
Common service provider interfaces and useful base implementations for dealing with models and types
org.eclipse.emf.cdo.spi.common.protocol
Common base implementations for dealing with I/O of CDO data structures.
org.eclipse.emf.cdo.spi.common.revision
Common service provider interfaces and useful base implementations for dealing with revisions and deltas.
org.eclipse.emf.cdo.spi.server
Server service provider interfaces and useful base implementations.

## Uses of CDODataOutput in org.eclipse.emf.cdo.common.branch

Methods in org.eclipse.emf.cdo.common.branch with parameters of type CDODataOutput
Modifier and Type
Method
Description
`void`
CDOBranchPointRef.`write(CDODataOutput out)`
`void`
CDOBranchRef.`write(CDODataOutput out)`

## Uses of CDODataOutput in org.eclipse.emf.cdo.common.id

Methods in org.eclipse.emf.cdo.common.id with parameters of type CDODataOutput
Modifier and Type
Method
Description
`void`
CDOIDReference.`write(CDODataOutput out)`
`static void`
CDOIDUtil.`write(CDODataOutput out, CDOID id)`

## Uses of CDODataOutput in org.eclipse.emf.cdo.common.model

Methods in org.eclipse.emf.cdo.common.model with parameters of type CDODataOutput
Modifier and Type
Method
Description
`void`
CDOClassifierRef.`write(CDODataOutput out)`
`abstract void`
CDOType.Handler.`writeValue(CDODataOutput out, Object value)`
`void`
CDOType.`writeValue(CDODataOutput out, Object value)`

## Uses of CDODataOutput in org.eclipse.emf.cdo.common.protocol

Methods in org.eclipse.emf.cdo.common.protocol with parameters of type CDODataOutput
Modifier and Type
Method
Description
`void`
CDOProtocol.CommitData.`write(CDODataOutput out)`
`void`
CDOProtocol.CommitNotificationInfo.`write(CDODataOutput out)`

## Uses of CDODataOutput in org.eclipse.emf.cdo.common.revision

Constructors in org.eclipse.emf.cdo.common.revision with parameters of type CDODataOutput
Modifier
Constructor
Description
`protected`
`MessageDigestHandler(CDODataOutput out, CDORevisionCrawler.OutputStreamHandler.IDMapper idMapper)`
Constructs a MessageDigestHandler with the given data output and ID mapper.
`protected`
`OutputStreamHandler(CDODataOutput out, CDORevisionCrawler.OutputStreamHandler.IDMapper idMapper)`
Constructs an OutputStreamHandler with the given data output and ID mapper.

## Uses of CDODataOutput in org.eclipse.emf.cdo.common.util

Methods in org.eclipse.emf.cdo.common.util that return CDODataOutput
Modifier and Type
Method
Description
`static CDODataOutput`
CDOCommonUtil.`createCDODataOutput(org.eclipse.net4j.util.io.ExtendedDataOutput extendedDataOutputStream, CDOPackageRegistry packageRegistry, CDOIDProvider idProvider)`
Deprecated.
As of 4.3 use `CDOCommonUtil.createCDODataOutput(ExtendedDataOutput, CDOPackageRegistry, CDOIDProvider, CDORevisionUnchunker)`.
`static CDODataOutput`
CDOCommonUtil.`createCDODataOutput(org.eclipse.net4j.util.io.ExtendedDataOutput extendedDataOutputStream, CDOPackageRegistry packageRegistry, CDOIDProvider idProvider, CDORevisionUnchunker unchunker)`
Methods in org.eclipse.emf.cdo.common.util with parameters of type CDODataOutput
Modifier and Type
Method
Description
`void`
CDOFetchRule.`write(CDODataOutput out)`

## Uses of CDODataOutput in org.eclipse.emf.cdo.server

Methods in org.eclipse.emf.cdo.server that return CDODataOutput
Modifier and Type
Method
Description
`protected CDODataOutput`
CDOServerExporter.Binary.`createOutput(OutputStream out)`
Methods in org.eclipse.emf.cdo.server with parameters of type CDODataOutput
Modifier and Type
Method
Description
`protected void`
CDOServerExporter.Binary.`endPackageUnit(CDODataOutput out)`
`protected void`
CDOServerExporter.Binary.`exportAll(CDODataOutput out)`
`protected void`
CDOServerExporter.Binary.`exportBranch(CDODataOutput out, CDOBranch branch)`
`protected void`
CDOServerExporter.Binary.`exportCommit(CDODataOutput out, CDOCommitInfo commitInfo)`
`protected void`
CDOServerExporter.Binary.`exportPackageInfo(CDODataOutput out, String packageURI)`
`protected void`
CDOServerExporter.Binary.`exportRevision(CDODataOutput out, CDORevision revision)`
`void`
IStoreAccessor.Raw.`rawExport(CDODataOutput out, int fromBranchID, int toBranchID, long fromCommitTime, long toCommitTime)`
Serializes all backend data within the given ranges such that it can be deserialized by the `rawImport()` method of a different instance of the same implementation of `raw store accessor`.
`protected OutputStream`
CDOServerExporter.Binary.`startBlob(CDODataOutput out, byte[] id, long size)`
`protected Writer`
CDOServerExporter.Binary.`startClob(CDODataOutput out, byte[] id, long size)`
`protected void`
CDOServerExporter.Binary.`startPackageUnit(CDODataOutput out, String id, CDOPackageUnit.Type type, long time, String data)`

## Uses of CDODataOutput in org.eclipse.emf.cdo.server.db

Methods in org.eclipse.emf.cdo.server.db with parameters of type CDODataOutput
Modifier and Type
Method
Description
`void`
IIDHandler.`rawExport(Connection connection, CDODataOutput out, long fromCommitTime, long toCommitTime)`
`void`
IMetaDataManager.`rawExport(Connection connection, CDODataOutput out, long fromCommitTime, long toCommitTime)`

## Uses of CDODataOutput in org.eclipse.emf.cdo.server.db.mapping

Methods in org.eclipse.emf.cdo.server.db.mapping with parameters of type CDODataOutput
Modifier and Type
Method
Description
`void`
IMappingStrategy.`rawExport(IDBStoreAccessor accessor, CDODataOutput out, int lastReplicatedBranchID, int lastBranchID, long lastReplicatedCommitTime, long lastCommitTime)`

## Uses of CDODataOutput in org.eclipse.emf.cdo.spi.common.branch

Methods in org.eclipse.emf.cdo.spi.common.branch with parameters of type CDODataOutput
Modifier and Type
Method
Description
`void`
InternalCDOBranchManager.BranchLoader.BranchInfo.`write(CDODataOutput out)`
`void`
InternalCDOBranchManager.BranchLoader.SubBranchInfo.`write(CDODataOutput out)`
`static void`
CDOBranchUtil.`writeBranchPointOrNull(CDODataOutput out, CDOBranchPoint point)`
`static void`
CDOBranchUtil.`writeRange(CDODataOutput out, CDOBranchPointRange range)`
`static void`
CDOBranchUtil.`writeRangeOrNull(CDODataOutput out, CDOBranchPointRange range)`

## Uses of CDODataOutput in org.eclipse.emf.cdo.spi.common.id

Methods in org.eclipse.emf.cdo.spi.common.id with parameters of type CDODataOutput
Modifier and Type
Method
Description
`abstract void`
AbstractCDOID.`write(CDODataOutput out)`

## Uses of CDODataOutput in org.eclipse.emf.cdo.spi.common.model

Methods in org.eclipse.emf.cdo.spi.common.model with parameters of type CDODataOutput
Modifier and Type
Method
Description
`void`
InternalCDOPackageInfo.`write(CDODataOutput out)`
`void`
InternalCDOPackageUnit.`write(CDODataOutput out, boolean withPackages)`

## Uses of CDODataOutput in org.eclipse.emf.cdo.spi.common.protocol

Classes in org.eclipse.emf.cdo.spi.common.protocol that implement CDODataOutput
Modifier and Type
Class
Description
`class`
`CDODataOutputImpl`
If the meaning of this type isn't clear, there really should be more of a description here...
Methods in org.eclipse.emf.cdo.spi.common.protocol with parameters of type CDODataOutput
Modifier and Type
Method
Description
`static void`
CDODataOutputImpl.`writeCDOList(CDODataOutput out, EClass owner, EStructuralFeature feature, CDOList list, int referenceChunk, UnaryOperator<CDOID> idConverter)`

## Uses of CDODataOutput in org.eclipse.emf.cdo.spi.common.revision

Methods in org.eclipse.emf.cdo.spi.common.revision with parameters of type CDODataOutput
Modifier and Type
Method
Description
`protected void`
RevisionInfo.`doWriteResult(CDODataOutput out, InternalCDORevision revision, int referenceChunk)`
Deprecated.
Not called anymore by the framework
`void`
BaseCDORevision.`write(CDODataOutput out, int referenceChunk)`
`void`
BaseCDORevision.`write(CDODataOutput out, int referenceChunk, CDOBranchPoint securityContext)`
`void`
DelegatingCDORevision.`write(CDODataOutput out, int referenceChunk)`
`void`
DelegatingCDORevision.`write(CDODataOutput out, int referenceChunk, CDOBranchPoint securityContext)`
`void`
InternalCDORevision.`write(CDODataOutput out, int referenceChunk)`
`void`
InternalCDORevision.`write(CDODataOutput out, int referenceChunk, CDOBranchPoint securityContext)`
`void`
RevisionInfo.Available.Pointer.`write(CDODataOutput out)`
`void`
RevisionInfo.Available.`write(CDODataOutput out)`
`void`
RevisionInfo.`write(CDODataOutput out)`
`void`
StubCDORevision.`write(CDODataOutput out, int referenceChunk)`
`void`
StubCDORevision.`write(CDODataOutput out, int referenceChunk, CDOBranchPoint securityContext)`
`void`
RevisionInfo.`writeResult(CDODataOutput out, int referenceChunk)`
Deprecated.
Not called anymore by the framework
`void`
RevisionInfo.`writeResult(CDODataOutput out, int referenceChunk, CDOBranchPoint securityContext)`
`static void`
RevisionInfo.`writeResult(CDODataOutput out, InternalCDORevision revision, boolean writePointerTarget, int referenceChunk, CDOBranchPoint securityContext)`
`static void`
RevisionInfo.`writeResult(CDODataOutput out, InternalCDORevision revision, int referenceChunk)`
Deprecated.
As of 4.1 call `RevisionInfo.writeResult(CDODataOutput, InternalCDORevision, int, CDOBranchPoint)`.
`static void`
RevisionInfo.`writeResult(CDODataOutput out, InternalCDORevision revision, int referenceChunk, CDOBranchPoint securityContext)`
Deprecated.
As of 4.15 call `RevisionInfo.writeResult(CDODataOutput, InternalCDORevision, boolean, int, CDOBranchPoint)`.
`protected void`
RevisionInfo.Available.`writeRevision(CDODataOutput out, int referenceChunk, CDOBranchPoint securityContext)`
`protected void`
RevisionInfo.`writeRevision(CDODataOutput out, int referenceChunk)`
Deprecated.
Not called anymore by the framework.
`protected void`
RevisionInfo.`writeRevision(CDODataOutput out, int referenceChunk, CDOBranchPoint securityContext)`
`protected void`
BaseCDORevision.`writeSystemValues(CDODataOutput out)`
`void`
BaseCDORevision.`writeValue(CDODataOutput out, EClass owner, EStructuralFeature feature, int i, int referenceChunk)`
`void`
DelegatingCDORevision.`writeValue(CDODataOutput out, EClass owner, EStructuralFeature feature, int i, int referenceChunk)`
`void`
InternalCDORevision.`writeValue(CDODataOutput out, EClass owner, EStructuralFeature feature, int i, int referenceChunk)`
`void`
StubCDORevision.`writeValue(CDODataOutput out, EClass owner, EStructuralFeature feature, int i, int referenceChunk)`
`void`
BaseCDORevision.`writeValues(CDODataOutput out, int referenceChunk)`
`void`
DelegatingCDORevision.`writeValues(CDODataOutput out, int referenceChunk)`
`void`
InternalCDORevision.`writeValues(CDODataOutput out, int referenceChunk)`
`void`
StubCDORevision.`writeValues(CDODataOutput out, int referenceChunk)`

## Uses of CDODataOutput in org.eclipse.emf.cdo.spi.server

Methods in org.eclipse.emf.cdo.spi.server with parameters of type CDODataOutput
Modifier and Type
Method
Description
`CDOReplicationInfo`
InternalRepository.`replicateRaw(CDODataOutput out, int lastReplicatedBranchID, long lastReplicatedCommitTime)`